SampledCurve Class Reference

This class contains a sampled curve. More...

`#include <ql/math/sampledcurve.hpp>`

## Public Member Functions

| SampledCurve (Size gridSize=0)
| SampledCurve (const Array &grid)
SampledCurve & | operator= (const SampledCurve &)
inspectors
const Array & | grid () const
Array & | grid ()
const Array & | values () const
Array & | values ()
Real | gridValue (Size i) const
Real & | gridValue (Size i)
Real | value (Size i) const
Real & | value (Size i)
Size | size () const
bool | empty () const
modifiers
void | setGrid (const Array &)
void | setValues (const Array &)
template<class F >
void | sample (const F &f)
calculations
Real | valueAtCenter () const
Real | firstDerivativeAtCenter () const
Real | secondDerivativeAtCenter () const
utilities
void | swap (SampledCurve &)
void | setLogGrid (Real min, Real max)
void | regridLogGrid (Real min, Real max)
void | shiftGrid (Real s)
void | scaleGrid (Real s)
void | regrid (const Array &new_grid)
template<class T >
void | regrid (const Array &new_grid, T func)
template<class T >
const SampledCurve & | transform (T x)
template<class T >
const SampledCurve & | transformGrid (T x)

## Detailed Description

This class contains a sampled curve.

Initially the class will contain one indexed curve

## Member Function Documentation

## valueAtCenter()

Real valueAtCenter | ( |  | ) | const

## firstDerivativeAtCenter()

Real firstDerivativeAtCenter | ( |  | ) | const

## secondDerivativeAtCenter()

Real secondDerivativeAtCenter | ( |  | ) | const